get
https://api.genability.com/rest/public/tariffs
Return tariffs matching the provided filters.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Use this endpoint to return tariffs that match the filters you provide.
When to use this endpoint
Use GET /rest/public/tariffs when you need to:
- Find tariffs for a location (like zipCode or postCode, LSE, customer class, service type, or effective date.
- Return tariff properties, rates, or documents by setting the corresponding
populateparameter. - Filter tariffs by rate characteristics such as net metering, time-of-use rates, tiered rates, or contracted rates.
- Find tariff versions by
masterTariffIdor retrieve the active tariff version withisActive.
Common filters
| Parameter | Type | Description |
|---|---|---|
lseId | Long | Filters tariffs for a specific LSE. |
masterTariffId | Long | Returns versions that belong to the specified master tariff ID. |
effectiveOn | DateTime | Returns tariffs effective on the specified date. |
openOn | Date | Returns tariffs open to new customers on the specified date. |
isActive | Boolean | Returns only the current active tariff version for the LSE or master tariff ID. |
customerClasses | String | Filters by customer class, such as RESIDENTIAL, GENERAL, or SPECIAL_USE. |
tariffTypes | String | Filters by tariff type, such as DEFAULT, ALTERNATIVE, OPTIONAL_EXTRA, or RIDER. |
serviceTypes | String | Filters by service type. |
zipCode | String | Returns tariffs for a location. |
postCode | String | Alias for zipCode. |
addressString | String | Returns tariffs for an address string. |
lat / lng | Float | Latitude and longitude pair used when not supplying a ZIP code or address. |
populateProperties | Boolean | Returns tariff properties. Defaults to false. |
populateRates | Boolean | Returns tariff rate details. Defaults to false. |
populateDocuments | Boolean | Returns tariff document links. Defaults to false. |
hasNetMetering | Boolean | Filters tariffs by whether they have net-metered rates. |
hasTimeOfUseRates | Boolean | Filters tariffs by whether they have time-of-use rates. |
hasTieredRates | Boolean | Filters tariffs by whether they have tiered rates. |
hasContractedRates | Boolean | Filters tariffs by whether they have contracted rates. |
Related endpoints
Request Parameters
Along with the standard pagination parameters, searching and sorting parameters, and the required security parameters, the following parameters are available as part of the request:
